{
  "criteria": {
    "interact_with_block": {
      "trigger": "minecraft:any_block_use",
      "conditions": {
        "player": {
          "slots": {
            "weapon.*": {
              "items": "#overly_realistic:consumables/all_physical_foods"
            }
          }
        },
        "location": [
            {
                "condition": "location_check",
                "predicate": {
                    "block": {
                        "blocks": "#wooden_shelves"
                    }
                }
            }
        ]
      }
    }
  },
  "requirements": [
    [
      "interact_with_block"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/vanilla_block_use/shelf/interact_with_block"
  }
}